> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve merchant account balance

> Retrieves account balance for the selected currency



## OpenAPI

````yaml get /v1/balance
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/balance:
    get:
      tags:
        - Balance
      summary: Retrieve merchant account balance
      description: Retrieves account balance for the selected currency
      operationId: get-balance
      parameters:
        - in: query
          name: currency
          description: One of supported currencies
          required: true
          schema:
            type: string
            enum:
              - NGN
              - USD
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      currency:
                        type: string
                        description: The currency passed by merchant
                      merchant:
                        type: string
                        description: Merchant'susername
                      amount:
                        type: integer
                        format: int32
                        description: Merchant's balance amount
                      txnCount:
                        type: integer
                        format: int32
                        description: >-
                          Total count of voucher redeemption for a given
                          merchant
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````